> ## Name

> cgGetProgramOptions - get strings from a program object

> ## Synopsis

>     #include <Cg/cg.h>

>     char const * const * cgGetProgramOptions( CGprogram program );

> ## Parameters

> program
>   The Cg program to query.

> ## Return Values

> Returns the options used to compile the program as an array of null-terminated strings.

> Returns NULL if no options exist, or if an error occurs.

> ## Description

> cgGetProgramOptions allows the application to retrieve the set of options used to compile the program.

> The options are returned in an array of ASCII-encoded null-terminated character strings. Each string contains a single option. The last element of the string array is guaranteed to be NULL.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGetProgramOptions was introduced in Cg 1.4.

> ## See Also

> cgGetProgramString